Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.validator
Class ValidateResult

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.validator.ValidateResult

    public class ValidateResult

extends java.lang.Object

Clase que encapsula el resultado de la validación. Es usada para devolver la respuesta del servicio de validación.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`ValidateResult()` Constructor por defecto.
`ValidateResult(java.lang.String errors, boolean isValid)` Constructor con parámetros.

Method Summary
`java.lang.String` | `getErrors()` Devuelve la lista de errores de validación.
`java.lang.String` | `getGeneralError()` Devuelve la lista de errores producidos durante el proceso de validación.
`boolean` | `isValid()` Devuelve un indicador de si el documento es válido.
`void` | `setGeneralError(java.lang.String generalError)` Agrega la lista de errores producidos durante el proceso de validación.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidateResult

    public ValidateResult()

  Constructor por defecto.

### ValidateResult

    public ValidateResult(java.lang.String errors,
                          boolean isValid)

  Constructor con parámetros.

  Parameters:
    `errors` - Lista de errores que presenta el documento.
    `isValid` - Indicador de si el documento es válido.

Method Detail

### getErrors

    public java.lang.String getErrors()

  Devuelve la lista de errores de validación.

  Returns:
    string con la lista de errores encontrados durante el proceso de validación.

### isValid

    public boolean isValid()

  Devuelve un indicador de si el documento es válido.

  Returns:
    boolean con el indicador de si el documento enviado a validar es válido.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getGeneralError

    public final java.lang.String getGeneralError()

  Devuelve la lista de errores producidos durante el proceso de validación.

  Returns:
    Cadena de errores, en caso de que los hubiera, producidos en el proceso de validación.

### setGeneralError

    public final void setGeneralError(java.lang.String generalError)

  Agrega la lista de errores producidos durante el proceso de validación.

  Parameters:
    `generalError` - Cadena de errores, en caso de que los hubiera, producidos en el proceso de validación.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD